## pygobject 3.36.0

=== meson_options.txt ===
option('python', type : 'string', value : 'python3')
option('pycairo', type : 'boolean', value : true, description : 'build with pycairo integration')
option('tests', type : 'boolean', value : true, description : 'build unit tests')

=== debian/changelog ===
pygobject (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 12:35:24 +0100

pygobject (3.34.0-6) unstable; urgency=medium

  * Team upload
  * d/tests/build3: Link with python3-embed.pc instead of python3.pc
    when the default python3 becomes 3.8.
    Python changed its behaviour in 3.8 so that python3.pc is only
    correct for extensions like pygobject, not for embedders like vim, and
    the program in this test is an embedder.
    Based on a patch from Steve Langasek. (Closes: #950464)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2020 20:06:42 +0000

pygobject (3.34.0-5) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Adjust build-dependencies for libffi7 transition:
    - Bump libffi-dev dependency to 3.3 to make sure we build with libffi7
    - Bump gobject-introspection dependency to a version that guarantees
      it was built with libffi7
  * Standards-Version: 4.5.0 (no changes required)

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2020 00:20:26 +0000

pygobject (3.34.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/tests: Fix some shellcheck warnings
  * d/tests/build*: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests: Mark all tests as superficial
  * Drop dependency on removed transitional package pep8
  * Drop dependency on pyflakes, no longer used directly
    (python${version} -m flake8 is used instead)

  [ Dimitri John Ledkov ]
  * Drop python-gi dependency from python-gi-dev. python2 is getting
    actively removed, and python-gi-dev which is used for python3 bindings
    shouldn't pull in python2 bindings. (Closes: #945022)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jan 2020 23:24:18 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: at-spi2-core,
               autoconf-archive,
               dbus (>= 1.8),
               debhelper (>= 11),
               dh-exec,
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               gir1.2-gtk-3.0 <!nocheck>,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 1.62.0-4~),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libgirepository1.0-dev (>= 1.62.0-4~),
               libglib2.0-dev (>= 2.48.0),
               locales,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-cairo-dbg,
               python-cairo-dev (>= 1.11.1),
               python-pytest <!nocheck>,
               python-setuptools,
               python3-all-dbg,
               python3-all-dev,
               python3-cairo-dbg,
               python3-cairo-dev (>= 1.11.1),
               python3-flake8,
               python3-pytest <!nocheck>,
               python3-setuptools,
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
Homepage: https://wiki.gnome.org/Projects/PyGObject

Package: python-gi
Architecture: any
Depends: gir1.2-glib-2.0 (>= 1.48.0),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Suggests: python-gi-cairo
Breaks: python-aptdaemon (<< 1.0),
        software-center (<= 5.6.0-0ubuntu2)
Description: Python 2.x bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 2.x binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python.

Package: python3-gi
Architecture: any
Depends: gir1.2-glib-2.0 (>= 1.48.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-cairo
Architecture: any
Depends: python-cairo (>= 1.11.1),
         python-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gi-dbg
Section: debug
Architecture: any
Depends: python-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-gi-dbg
Section: debug
Architecture: any
Depends: python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: any
Depends: libffi-dev (>= 3.3),
         libglib2.0-dev (>= 2.48.0),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Depends: python3-cairo (>= 1.11.1),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

TESTSUITE_FAIL_CMD=exit 1
NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
ifneq ($(filter $(DEB_BUILD_ARCH), ),)
# tests currently fail on these architectures
    TESTSUITE_FAIL_CMD=$(NON_FATAL)
endif

export PYBUILD_BEFORE_TEST = {interpreter} {dir}/setup.py build_tests

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2,python3,gnome --buildsystem=pybuild

# don't run the tests under fakeroot, otherwise they will try to connect to
# root's session D-BUS
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_OS), linux)
	set -e; \
	LC_ALL=C.UTF-8; \
	export HOME=$(CURDIR)/debian/tmp/home; \
	mkdir -p $$HOME/.local/share; \
	unset LD_PRELOAD; \
	xvfb-run \
	dh_auto_test || $(TESTSUITE_FAIL_CMD); \
	while [ -e /tmp/.X99-lock ]; do \
		echo "Waiting for xvfb to finish..."; \
		sleep 0.5; \
	done
	# run the pep8 test but don't fail on it
	python3 setup.py quality || $(NON_FATAL)
endif
endif

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild
	find debian/python3-gi-cairo  debian/python3-gi -name '*.cpython-*dm-*so' | xargs -r rm -fv

override_dh_auto_install:
	dh_auto_install
	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	rm -fr debian/tmp/usr/lib/python*/dist-packages/__pycache__
	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/__pycache__
	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/*/__pycache__
	rm -f debian/tmp/usr/lib/python*/dist-packages/*.pyc
	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*.pyc
	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*/*.pyc
	dh_install

override_dh_strip-arch:
	dh_strip -ppython-gi --dbg-package=python-gi-dbg
	dh_strip -ppython-gi-cairo --dbg-package=python-gi-dbg
	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
	dh_strip -a --remaining-packages --no-automatic-dbgsym

# Do not run dh_makeshlibs, for some reasons the python bindings are build with
# a SONAME set and this causes dh_makeshlibs to create a shlibs file and to
# trigger ldconfig.
override_dh_makeshlibs:

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-all-dbg, python3-all-dev, python3-gi-dbg

Tests: build3
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-dev

Tests: build2
Restrictions: superficial
Depends: build-essential, python-gi, python-gi-dev, python2-dev

Tests: python2 python3
Restrictions: superficial
Depends: python-gi, python3-gi, gir1.2-glib-2.0

Tests: python2-dbg python3-dbg
Restrictions: superficial
Depends: python-gi-dbg, python3-gi-dbg, gir1.2-glib-2.0

Tests: python3-all
Restrictions: superficial
Depends: python3-gi, python3-gi-dbg, gir1.2-glib-2.0, python3-all, python3-all-dbg

## pygobject 3.38.0

=== debian/changelog ===
pygobject (3.38.0-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Reduce Build-Depends
    - at-spi2-core was added to fix failing tests. Annotate <!nocheck>.
    - dbus is also used for running tests. Annotate <!nocheck>.
    - Drop docbook-xsl and xsltproc. Documentation is now restructured text.
    - Drop python3-cairo-dbg as Python no longer varies the path for debugged
      extensions.
    - python3-flake8 is used for setup.py quality. Annotate <!nocheck>.
    - locales is evidently used in tests. Annotate <!nocheck>.
    (Closes: #980769)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)
  * Make python3-gi Multi-Arch: allowed.
    This allows it to be depended on as "python3-gi:any", in conjunction
    with "python3:any", if an architecture-specific package contains a
    Python script that will "import gi", but does not rely on the Python
    interpreter that runs that script having an architecture that matches
    the architecture of the depending package itself. (Closes: #971745)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:53:44 +0000

pygobject (3.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - gdk overrides: Fix wrapping of scroll events
    - Add overrides for Gtk.Button set/get_focus_on_click

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Sep 2020 09:30:51 +0100

pygobject (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix failing tests with pytest 5.4.0+
    - Add override to make sure both TreeModelSort.new_with_model and
      TreeModel.sort_new_with_model exist, independent of the GTK version
    - Fix initialisation order errors with Widgets getting created from C
    - Fix errors when calling init_template() multiple times

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Aug 2020 23:29:30 +0100

pygobject (3.36.0-4) unstable; urgency=medium

  * Team upload
  * Build without Python 2 support (Closes: #937448, #943104)

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Jul 2020 17:40:41 +0100

pygobject (3.36.0-3) unstable; urgency=medium

  * Remove pytest from debian/control.in too; thanks to Scott Kitterman for
    spotting this
  * Disable tests for python2-dbg too

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 22:44:55 -0400

pygobject (3.36.0-2) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 00:16:21 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: at-spi2-core <!nocheck>,
               autoconf-archive,
               dbus (>= 1.8) <!nocheck>,
               debhelper-compat (= 12),
               dh-exec,
               dh-python,
               dpkg-dev (>= 1.16.1~),
               gir1.2-gtk-3.0 <!nocheck>,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 1.62.0-4~),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libgirepository1.0-dev (>= 1.62.0-4~),
               libglib2.0-dev (>= 2.48.0),
               locales <!nocheck>,
               python3-all-dbg,
               python3-all-dev,
               python3-cairo-dev (>= 1.11.1),
               python3-flake8 <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
Homepage: https://wiki.gnome.org/Projects/PyGObject

Package: python3-gi
Architecture: any
Multi-Arch: allowed
Depends: gir1.2-glib-2.0 (>= 1.48.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python3-gi-dbg
Section: debug
Architecture: any
Depends: python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: any
Depends: libffi-dev (>= 3.3),
         libglib2.0-dev (>= 2.48.0),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Depends: python3-cairo (>= 1.11.1),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
-include /usr/share/python/python.mk
 
-PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
+PYVERS := $(shell py3versions --supported -v)
 FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))
 
 TESTSUITE_FAIL_CMD=exit 1
@@ -19,7 +18,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2,python3,gnome --buildsystem=pybuild
+	dh $@ --with python3,gnome --buildsystem=pybuild
 
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
@@ -61,8 +60,6 @@
 	dh_install
 
 override_dh_strip-arch:
-	dh_strip -ppython-gi --dbg-package=python-gi-dbg
-	dh_strip -ppython-gi-cairo --dbg-package=python-gi-dbg
 	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
 	dh_strip -a --remaining-packages --no-automatic-dbgsym

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-all-dbg, python3-all-dev, python3-gi-dbg

Tests: build3
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-dev

Tests: python3
Restrictions: superficial
Depends: python3-gi, gir1.2-glib-2.0

Tests: python3-dbg
Restrictions: superficial
Depends: python3-gi-dbg, gir1.2-glib-2.0

Tests: python3-all
Restrictions: superficial
Depends: python3-gi, python3-gi-dbg, gir1.2-glib-2.0, python3-all, python3-all-dbg

## pygobject 3.40.1

=== debian/changelog ===
pygobject (3.40.1-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:29 +0200

pygobject (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated build requirements
  * debian/patches/git_newglib_build.patch:
    - removed, the change is included in the new version

 -- Sebastien Bacher <seb128@debian.org>  Fri, 18 Jun 2021 16:47:06 +0200

pygobject (3.38.0-4) experimental; urgency=medium

  * debian/patches/git_newglib_build.patch:
    - include another git fix for tests with the new glib version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Apr 2021 10:06:23 +0200

pygobject (3.38.0-3) experimental; urgency=medium

  * debian/patches/git_newglib_build.patch:
    - tests: fix tests with the new glib, GFileIcon asserts that it gets
      a file now

 -- Sebastien Bacher <seb128@debian.org>  Mon, 12 Apr 2021 21:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                autoconf-archive,
                dbus (>= 1.8) <!nocheck>,
@@ -20,11 +20,11 @@
                libcairo2-dev,
                libffi-dev (>= 3.3),
                libgirepository1.0-dev (>= 1.62.0-4~),
-               libglib2.0-dev (>= 2.48.0),
+               libglib2.0-dev (>= 2.56.0),
                locales <!nocheck>,
                python3-all-dbg,
                python3-all-dev,
-               python3-cairo-dev (>= 1.11.1),
+               python3-cairo-dev (>= 1.16.0),
                python3-flake8 <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,

## pygobject 3.42.0

=== debian/changelog ===
pygobject (3.42.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:51:00 +0100

pygobject (3.42.0-3) unstable; urgency=medium

  * Team upload
  * d/tests/control: Accept and ignore warnings on stderr in python3-all
    test. This works around pygobject not fully implementing PEP-0451 yet
    (#1002662) by making it non-RC. It might become RC again in a future
    Python release, but hopefully upstream can implement PEP-0451 by
    then. (Closes: #1001368)

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Dec 2021 21:24:46 +0000

pygobject (3.42.0-2) unstable; urgency=medium

  * debian/patches/git_python310_warning.patch:
    - backport a fix for an ImportWarning hit with python3.10 which
      is making the autopkgtests error out

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Nov 2021 13:53:51 +0100

pygobject (3.42.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome & dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Sep 2021 07:04:42 -0400

pygobject (3.40.1-2) unstable; urgency=medium

  * Team upload
  * Mention #961238 in previous changelog entry
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 10:41:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
-               autoconf-archive,
                dbus (>= 1.8) <!nocheck>,
                debhelper-compat (= 12),
                dh-exec,
-               dh-python,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                dpkg-dev (>= 1.16.1~),
                gir1.2-gtk-3.0 <!nocheck>,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 1.62.0-4~),
                libcairo2-dev,
                libffi-dev (>= 3.3),
                libgirepository1.0-dev (>= 1.62.0-4~),

## pygobject 3.42.1

=== debian/changelog ===
pygobject (3.42.1-0ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (fixes LP: #1979347)
  * Drop python3.10 patch: applied in new release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 23 Jun 2022 12:56:55 -0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus (>= 1.8) <!nocheck>,
                debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python3,gnome --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS

=== debian/tests/control ===
--- 
+++ 
@@ -15,5 +15,5 @@
 Depends: python3-gi-dbg, gir1.2-glib-2.0
 
 Tests: python3-all
-Restrictions: superficial
+Restrictions: allow-stderr, superficial
 Depends: python3-gi, python3-gi-dbg, gir1.2-glib-2.0, python3-all, python3-all-dbg

## pygobject 3.42.2

=== debian/changelog ===
pygobject (3.42.2-3) unstable; urgency=medium

  * Team upload

  [ Evangelos Ribeiro Tzaras ]
  * d/rules: Clean up all build files (Closes: #1019132)

  [ Simon McVittie ]
  * d/clean: Move cleanup for #1019132 from d/rules to here
  * Build-depend on dbus-daemon instead of dbus.
    The part we need is dbus-run-session, and we don't need the full
    system bus.
  * d/upstream/metadata: Update Gitlab URLs
  * Update standards version to 4.6.1 (no changes needed)
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * d/control.in, d/rules: Make sure all debug symbols go into
    python3-gi-dbg, including those for python3-gi-cairo

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 10:12:45 +0000

pygobject (3.42.2-2) unstable; urgency=medium

  * Team upload
  * d/tests/gitest.py: Fix autopkgtest failure with gobject-introspection
    1.73.
    This test assumed that G_IO_FLAG_NONE doesn't exist, but that's no
    longer the case as of GLib 2.73.x. Change it to work either way.

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Aug 2022 11:35:24 +0100

pygobject (3.42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Jul 2022 17:09:53 -0400

pygobject (3.42.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop python3.10 patch: applied in new release
  * Bump Standards-Version to 4.6.0

  [ Simon McVittie ]
  * Use debhelper compat level 13
    - We no longer need dh-exec for ${DEB_HOST_MULTIARCH} substitutions
    - Stop overriding dh_missing to add --fail-missing, it is now
      the default

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Apr 2022 09:33:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
-               dbus (>= 1.8) <!nocheck>,
-               debhelper-compat (= 12),
-               dh-exec,
+               dbus-daemon <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                dpkg-dev (>= 1.16.1~),
@@ -30,7 +28,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
 Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
 Homepage: https://wiki.gnome.org/Projects/PyGObject
@@ -55,9 +53,11 @@
 Section: debug
 Architecture: any
 Depends: python3-gi (= ${binary:Version}),
+         python3-gi-cairo (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Provides: python3-gi-cairo-dbg (= ${binary:Version})
 Description: Python 3 bindings for gobject-introspection libraries (debug extension)
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 export PYBUILD_BEFORE_TEST = {interpreter} {dir}/setup.py build_tests
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -43,7 +42,6 @@
 
 override_dh_python3:
 	dh_python3 -O--buildsystem=pybuild
-	find debian/python3-gi-cairo  debian/python3-gi -name '*.cpython-*dm-*so' | xargs -r rm -fv
 
 override_dh_auto_install:
 	dh_auto_install
@@ -61,6 +59,7 @@
 
 override_dh_strip-arch:
 	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
+	dh_strip -ppython3-gi-cairo --dbg-package=python3-gi-dbg
 	dh_strip -a --remaining-packages --no-automatic-dbgsym
 
 # Do not run dh_makeshlibs, for some reasons the python bindings are build with
@@ -70,6 +69,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
-
-override_dh_missing:
-	dh_missing --fail-missing

## pygobject 3.44.1

=== debian/changelog ===
pygobject (3.44.1-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:27:48 -0400

pygobject (3.44.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 06:49:29 -0400

pygobject (3.43.1-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Follow upstream home page migration (Closes: #1028288)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:10:07 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
@@ -28,10 +28,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
 Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
-Homepage: https://wiki.gnome.org/Projects/PyGObject
+Homepage: https://pygobject.readthedocs.io/
 
 Package: python3-gi
 Architecture: any

## pygobject 3.46.0

=== debian/changelog ===
pygobject (3.46.0-3) unstable; urgency=medium

  * Team upload
  * d/control: Depend on gir1.2-girepository-2.0.
    This will avoid regressions in packages that assume
    GIRepository-2.0.typelib is part of gir1.2-glib-2.0, even after it
    is separated into its own package, as it will need to be during the
    GNOME 46 release cycle. (Mitigates: #1059623, #1059625, #1059628)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 18:10:11 +0000

pygobject (3.46.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Build-depend on gir1.2-girepository-2.0 if running tests.
    tests/__init__.py imports this. It's currently part of
    gir1.2-glib-2.0, but will need to be separated from gir1.2-glib-2.0
    before src:glib2.0 starts providing that binary package during the
    GNOME 46/GLib 2.79 cycle.
  * d/tests/build: Adapt to build with Python 3.12 without warnings.
    This avoids an (as-yet unreported) autopkgtest failure.
  * Stop building python3-gi-dbg (Closes: #994330, #803428)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 17:27:16 +0000

pygobject (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib and gobject-introspection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Sep 2023 08:31:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,20 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: pygobject
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               dpkg-dev (>= 1.16.1~),
                gir1.2-gtk-3.0 <!nocheck>,
+               gir1.2-girepository-2.0 <!nocheck>,
                libcairo2-dev,
                libffi-dev (>= 3.3),
-               libgirepository1.0-dev (>= 1.62.0-4~),
-               libglib2.0-dev (>= 2.56.0),
+               libgirepository1.0-dev (>= 1.64.0~),
+               libglib2.0-dev (>= 2.64.0),
                locales <!nocheck>,
-               python3-all-dbg,
                python3-all-dev,
                python3-cairo-dev (>= 1.16.0),
                python3-flake8 <!nocheck>,
@@ -36,7 +31,8 @@
 Package: python3-gi
 Architecture: any
 Multi-Arch: allowed
-Depends: gir1.2-glib-2.0 (>= 1.48.0),
+Depends: gir1.2-glib-2.0 (>= 1.64.0),
+         gir1.2-girepository-2.0,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -49,30 +45,10 @@
  support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
  package. With these packages, the libraries can be used from Python 3.
 
-Package: python3-gi-dbg
-Section: debug
-Architecture: any
-Depends: python3-gi (= ${binary:Version}),
-         python3-gi-cairo (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Provides: python3-gi-cairo-dbg (= ${binary:Version})
-Description: Python 3 bindings for gobject-introspection libraries (debug extension)
- GObject is an abstraction layer that allows programming with an object
- paradigm that is compatible with many languages. It is a part of Glib,
- the core library used to build GTK+ and GNOME.
- .
- This package contains the Python 3 binding generator for libraries that
- support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
- package. With these packages, the libraries can be used from Python 3.
- .
- This package contains the extensions built for the Python 3 debug interpreter.
-
 Package: python-gi-dev
 Architecture: any
 Depends: libffi-dev (>= 3.3),
-         libglib2.0-dev (>= 2.48.0),
+         libglib2.0-dev (>= 2.64.0),
          python3-gi (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/default.mk
 
 PYVERS := $(shell py3versions --supported -v)
-FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))
+FLAVOURS := $(PYVERS)
 
 TESTSUITE_FAIL_CMD=exit 1
 NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
@@ -18,6 +18,8 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_gnome_clean:
 
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
@@ -57,10 +59,8 @@
 	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*/*.pyc
 	dh_install
 
-override_dh_strip-arch:
-	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
-	dh_strip -ppython3-gi-cairo --dbg-package=python3-gi-dbg
-	dh_strip -a --remaining-packages --no-automatic-dbgsym
+override_dh_strip:
+	dh_strip --dbgsym-migration='python3-gi-dbg (<< 3.46.0-2~)'
 
 # Do not run dh_makeshlibs, for some reasons the python bindings are build with
 # a SONAME set and this causes dh_makeshlibs to create a shlibs file and to

## pygobject 3.48.2

=== docs/requirements.txt ===
sphinx>=7.0,<8.0
furo>=2022,<2025

=== debian/changelog ===
pygobject (3.48.2-1) unstable; urgency=medium

  * New upstream release
    - Fix gst-python1.0 build (Closes: #1065547) (LP: #2057836)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Apr 2024 06:49:50 -0400

pygobject (3.48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:05:20 -0400

pygobject (3.47.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 15:15:27 -0500

pygobject (3.47.0-2) experimental; urgency=medium

  * Increase build test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Feb 2024 16:02:51 -0500

pygobject (3.47.0-1) experimental; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Add debian/salsa-ci.yml
  * Build with meson

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 21:51:48 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                dh-sequence-python3,
                gir1.2-gtk-3.0 <!nocheck>,
                gir1.2-girepository-2.0 <!nocheck>,
@@ -15,6 +14,7 @@
                libgirepository1.0-dev (>= 1.64.0~),
                libglib2.0-dev (>= 2.64.0),
                locales <!nocheck>,
+               meson,
                python3-all-dev,
                python3-cairo-dev (>= 1.16.0),
                python3-flake8 <!nocheck>,

## pygobject 3.50.0

=== debian/changelog ===
pygobject (3.50.0-7) unstable; urgency=medium

  * debian/patches/git_symbols_compat.patch:
    - fix an issue with the previous changes that would lead to some symbols
      to be missing, fixes the build of libportal

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Sep 2025 16:17:39 +0200

pygobject (3.50.0-6) unstable; urgency=medium

  * d/p: Import patches to have properly named platform-specific symbols in Gio
    The Unix symbols needs to be scoped in the Unix name when used through the
    Gio namespace.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 19:56:06 +0200

pygobject (3.50.0-5) unstable; urgency=medium

  * debian: Update branch references
  * d/p: Cherry-pick patches for GLib 2.86 compatibility.
    Glib 2.86 moved Gio symbols to GioUnix, so we need to adapt pygobject to
    this not to break apps using Gio to use GioUnix classes.
  * debian/patches: Cherry-pick upstream revert on ref count check test

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 04:14:13 +0200

pygobject (3.50.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/async-Use-correct-T_BOOL-type-for-_asyncio_future_blockin.patch:
    Mark patch as applied upstream
  * d/salsa-ci.yml: Use recommended recipe URL
  * d/salsa-ci.yml: Disable Architecture: all build
  * d/salsa-ci.yml: Don't attempt cross-building
  * d/control: Explicitly build-depend on required GIR XML
  * d/control: Build-depend on gobject-introspection and libgirepository-1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 18:50:54 -0500

pygobject (3.50.0-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (Closes: #1082723)

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Oct 2024 13:44:07 +0100

pygobject (3.50.0-2) experimental; urgency=medium

  * Team upload
  * d/p/async-Use-correct-T_BOOL-type-for-_asyncio_future_blockin.patch:
    Add proposed patch to fix asyncio calls on big-endian machines
    (Closes: #1085891)
  * Standards-Version: 4.7.0 (no changes required)
  * d/source/lintian-overrides: Mark missing B-D on mesonpy as a false
    positive.
    We currently build with Meson directly, not via mesonpy.

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Oct 2024 13:53:17 +0100

pygobject (3.50.0-1) experimental; urgency=medium

  * New upstream release
  * .egg-info has been replaced by .dist-info/METADATA

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:37:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-girepository-2.0 <!nocheck>,
                gir1.2-gtk-3.0 <!nocheck>,
-               gir1.2-girepository-2.0 <!nocheck>,
+               gobject-introspection,
                libcairo2-dev,
                libffi-dev (>= 3.3),
-               libgirepository1.0-dev (>= 1.64.0~),
+               libgirepository-1.0-dev,
                libglib2.0-dev (>= 2.64.0),
                locales <!nocheck>,
                meson,
@@ -23,9 +26,9 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
-Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject/tree/debian/unstable
+Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git -b debian/unstable
 Homepage: https://pygobject.readthedocs.io/
 
 Package: python3-gi

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

VERSIONS := $(shell py3versions --supported -v)

TESTSUITE_FAIL_CMD=exit 1
NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
ifneq ($(filter $(DEB_BUILD_ARCH), ),)
# tests currently fail on these architectures
    TESTSUITE_FAIL_CMD=$(NON_FATAL)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	set -e; for v in $(VERSIONS); do \
		dh_auto_configure \
			--builddirectory=build-$$v \
			-- \
			-Dpython=/usr/bin/python$$v \
			-Dauto_features=enabled \
			; \
	done

override_dh_auto_build-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		dh_auto_build \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

# don't run the tests under fakeroot, otherwise they will try to connect to
# root's session D-BUS
override_dh_auto_test-arch:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	set -e; for v in $(VERSIONS); do \
		LC_ALL=C.UTF-8; \
		PYTHON=/usr/bin/python$$v; \
		export HOME=$(CURDIR)/debian/tmp/home; \
		mkdir -p $$HOME/.local/share; \
		unset LD_PRELOAD; \
		VERBOSE=1; \
		xvfb-run dh_auto_test \
			--arch \
			--builddirectory=build-$$v \
			-- \
			--timeout-multiplier 3 \
			|| $(TESTSUITE_FAIL_CMD) \
			; \
		while [ -e /tmp/.X99-lock ]; do \
			echo "Waiting for xvfb to finish..."; \
			sleep 0.5; \
		done; \
	done
endif

override_dh_auto_install-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		VERBOSE=1 \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$v \
			--destdir=debian/tmp \
			-- \
			; \
	done

override_dh_strip:
	dh_strip --dbgsym-migration='python3-gi-dbg (<< 3.46.0-2~)'
